| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
unzip.h File Reference
`#include "zlib.h"`
`#include "ioapi.h"`
Include dependency graph for unzip.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | unz_global_info64_s
struct | unz_global_info_s
struct | unz_file_info64_s
struct | unz_file_info_s
struct | unz_file_pos_s
struct | unz64_file_pos_s

## Macros
#define | Z_BZIP2ED 12
#define | UNZ_OK (0)
#define | UNZ_END_OF_LIST_OF_FILE (-100)
#define | UNZ_ERRNO (Z_ERRNO)
#define | UNZ_EOF (0)
#define | UNZ_PARAMERROR (-102)
#define | UNZ_BADZIPFILE (-103)
#define | UNZ_INTERNALERROR (-104)
#define | UNZ_CRCERROR (-105)
#define | UNZ_BADPASSWORD (-106)

## Typedefs
typedef voidp | unzFile
typedef struct unz_global_info64_s | unz_global_info64
typedef struct unz_global_info_s | unz_global_info
typedef struct unz_file_info64_s | unz_file_info64
typedef struct unz_file_info_s | unz_file_info
typedef int(* | unzFileNameComparer) (unzFile file, const char *filename1, const char *filename2)
typedef int(* | unzIteratorFunction) (unzFile file)
typedef int(* | unzIteratorFunction2) (unzFile file, unz_file_info64 *pfile_info, char *filename, uint16_t filename_size, void *extrafield, uint16_t extrafield_size, char *comment, uint16_t comment_size)
typedef struct unz_file_pos_s | unz_file_pos
typedef struct unz64_file_pos_s | unz64_file_pos

## Functions
unzFile ZEXPORT | unzOpen (const char *path)
unzFile ZEXPORT | unzOpen64 (const void *path)
unzFile ZEXPORT | unzOpen2 (const char *path, zlib_filefunc_def *pzlib_filefunc_def)
unzFile ZEXPORT | unzOpen2_64 (const void *path, zlib_filefunc64_def *pzlib_filefunc_def)
int ZEXPORT | unzClose (unzFile file)
int ZEXPORT | unzGetGlobalInfo (unzFile file, unz_global_info *pglobal_info)
int ZEXPORT | unzGetGlobalInfo64 (unzFile file, unz_global_info64 *pglobal_info)
int ZEXPORT | unzGetGlobalComment (unzFile file, char *comment, uint16_t comment_size)
int ZEXPORT | unzOpenCurrentFile (unzFile file)
int ZEXPORT | unzOpenCurrentFilePassword (unzFile file, const char *password)
int ZEXPORT | unzOpenCurrentFile2 (unzFile file, int *method, int *level, int raw)
int ZEXPORT | unzOpenCurrentFile3 (unzFile file, int *method, int *level, int raw, const char *password)
int ZEXPORT | unzReadCurrentFile (unzFile file, voidp buf, uint32_t len)
int ZEXPORT | unzGetCurrentFileInfo (unzFile file, unz_file_info *pfile_info, char *filename, uint16_t filename_size, void *extrafield, uint16_t extrafield_size, char *comment, uint16_t comment_size)
int ZEXPORT | unzGetCurrentFileInfo64 (unzFile file, unz_file_info64 *pfile_info, char *filename, uint16_t filename_size, void *extrafield, uint16_t extrafield_size, char *comment, uint16_t comment_size)
int ZEXPORT | unzGetLocalExtrafield (unzFile file, voidp buf, uint32_t len)
int ZEXPORT | unzCloseCurrentFile (unzFile file)
int ZEXPORT | unzGoToFirstFile (unzFile file)
int ZEXPORT | unzGoToFirstFile2 (unzFile file, unz_file_info64 *pfile_info, char *filename, uint16_t filename_size, void *extrafield, uint16_t extrafield_size, char *comment, uint16_t comment_size)
int ZEXPORT | unzGoToNextFile (unzFile file)
int ZEXPORT | unzGoToNextFile2 (unzFile file, unz_file_info64 *pfile_info, char *filename, uint16_t filename_size, void *extrafield, uint16_t extrafield_size, char *comment, uint16_t comment_size)
int ZEXPORT | unzLocateFile (unzFile file, const char *filename, unzFileNameComparer filename_compare_func)
int ZEXPORT | unzGetFilePos (unzFile file, unz_file_pos *file_pos)
int ZEXPORT | unzGoToFilePos (unzFile file, unz_file_pos *file_pos)
int ZEXPORT | unzGetFilePos64 (unzFile file, unz64_file_pos *file_pos)
int ZEXPORT | unzGoToFilePos64 (unzFile file, const unz64_file_pos *file_pos)
int32_t ZEXPORT | unzGetOffset (unzFile file)
int64_t ZEXPORT | unzGetOffset64 (unzFile file)
int ZEXPORT | unzSetOffset (unzFile file, uint32_t pos)
int ZEXPORT | unzSetOffset64 (unzFile file, uint64_t pos)
int32_t ZEXPORT | unzTell (unzFile file)
int64_t ZEXPORT | unzTell64 (unzFile file)
int ZEXPORT | unzSeek (unzFile file, uint32_t offset, int origin)
int ZEXPORT | unzSeek64 (unzFile file, uint64_t offset, int origin)
int ZEXPORT | unzEndOfFile (unzFile file)

## Macro Definition Documentation

## ◆ UNZ_BADPASSWORD

#define UNZ_BADPASSWORD (-106)

## ◆ UNZ_BADZIPFILE

#define UNZ_BADZIPFILE (-103)

## ◆ UNZ_CRCERROR

#define UNZ_CRCERROR (-105)

## ◆ UNZ_END_OF_LIST_OF_FILE

#define UNZ_END_OF_LIST_OF_FILE (-100)

## ◆ UNZ_EOF

#define UNZ_EOF (0)

## ◆ UNZ_ERRNO

#define UNZ_ERRNO (Z_ERRNO)

## ◆ UNZ_INTERNALERROR

#define UNZ_INTERNALERROR (-104)

## ◆ UNZ_OK

#define UNZ_OK (0)

## ◆ UNZ_PARAMERROR

#define UNZ_PARAMERROR (-102)

## ◆ Z_BZIP2ED

#define Z_BZIP2ED 12

## Typedef Documentation

## ◆ unz64_file_pos

typedef struct unz64_file_pos_s unz64_file_pos

## ◆ unz_file_info

typedef struct unz_file_info_s unz_file_info

## ◆ unz_file_info64

typedef struct unz_file_info64_s unz_file_info64

## ◆ unz_file_pos

typedef struct unz_file_pos_s unz_file_pos

## ◆ unz_global_info

typedef struct unz_global_info_s unz_global_info

## ◆ unz_global_info64

typedef struct unz_global_info64_s unz_global_info64

## ◆ unzFile

typedef voidp unzFile

## ◆ unzFileNameComparer

typedef int(* unzFileNameComparer) (unzFile file, const char *filename1, const char *filename2)

## ◆ unzIteratorFunction

typedef int(* unzIteratorFunction) (unzFile file)

## ◆ unzIteratorFunction2

typedef int(* unzIteratorFunction2) (unzFile file, unz_file_info64 *pfile_info, char *filename, uint16_t filename_size, void *extrafield, uint16_t extrafield_size, char *comment, uint16_t comment_size)

## Function Documentation

## ◆ unzClose()

int ZEXPORT unzClose | ( | unzFile | file | ) |

Here is the call graph for this function:

## ◆ unzCloseCurrentFile()

int ZEXPORT unzCloseCurrentFile | ( | unzFile | file | ) |

## ◆ unzEndOfFile()

int ZEXPORT unzEndOfFile | ( | unzFile | file | ) |

## ◆ unzGetCurrentFileInfo()

int ZEXPORT unzGetCurrentFileInfo | ( | unzFile | file,
|  | unz_file_info * | pfile_info,
|  | char * | filename,
|  | uint16_t | filename_size,
|  | void * | extrafield,
|  | uint16_t | extrafield_size,
|  | char * | comment,
|  | uint16_t | comment_size
| ) |  |

## ◆ unzGetCurrentFileInfo64()

int ZEXPORT unzGetCurrentFileInfo64 | ( | unzFile | file,
|  | unz_file_info64 * | pfile_info,
|  | char * | filename,
|  | uint16_t | filename_size,
|  | void * | extrafield,
|  | uint16_t | extrafield_size,
|  | char * | comment,
|  | uint16_t | comment_size
| ) |  |

## ◆ unzGetFilePos()

int ZEXPORT unzGetFilePos | ( | unzFile | file,
|  | unz_file_pos * | file_pos
| ) |  |

Here is the call graph for this function:

## ◆ unzGetFilePos64()

int ZEXPORT unzGetFilePos64 | ( | unzFile | file,
|  | unz64_file_pos * | file_pos
| ) |  |

## ◆ unzGetGlobalComment()

int ZEXPORT unzGetGlobalComment | ( | unzFile | file,
|  | char * | comment,
|  | uint16_t | comment_size
| ) |  |

## ◆ unzGetGlobalInfo()

int ZEXPORT unzGetGlobalInfo | ( | unzFile | file,
|  | unz_global_info * | pglobal_info
| ) |  |

## ◆ unzGetGlobalInfo64()

int ZEXPORT unzGetGlobalInfo64 | ( | unzFile | file,
|  | unz_global_info64 * | pglobal_info
| ) |  |

## ◆ unzGetLocalExtrafield()

int ZEXPORT unzGetLocalExtrafield | ( | unzFile | file,
|  | voidp | buf,
|  | uint32_t | len
| ) |  |

## ◆ unzGetOffset()

int32_t ZEXPORT unzGetOffset | ( | unzFile | file | ) |

Here is the call graph for this function:

## ◆ unzGetOffset64()

int64_t ZEXPORT unzGetOffset64 | ( | unzFile | file | ) |

## ◆ unzGoToFilePos()

int ZEXPORT unzGoToFilePos | ( | unzFile | file,
|  | unz_file_pos * | file_pos
| ) |  |

Here is the call graph for this function:

## ◆ unzGoToFilePos64()

int ZEXPORT unzGoToFilePos64 | ( | unzFile | file,
|  | const unz64_file_pos * | file_pos
| ) |  |

## ◆ unzGoToFirstFile()

int ZEXPORT unzGoToFirstFile | ( | unzFile | file | ) |

Here is the call graph for this function:

## ◆ unzGoToFirstFile2()

int ZEXPORT unzGoToFirstFile2 | ( | unzFile | file,
|  | unz_file_info64 * | pfile_info,
|  | char * | filename,
|  | uint16_t | filename_size,
|  | void * | extrafield,
|  | uint16_t | extrafield_size,
|  | char * | comment,
|  | uint16_t | comment_size
| ) |  |

## ◆ unzGoToNextFile()

int ZEXPORT unzGoToNextFile | ( | unzFile | file | ) |

Here is the call graph for this function:

## ◆ unzGoToNextFile2()

int ZEXPORT unzGoToNextFile2 | ( | unzFile | file,
|  | unz_file_info64 * | pfile_info,
|  | char * | filename,
|  | uint16_t | filename_size,
|  | void * | extrafield,
|  | uint16_t | extrafield_size,
|  | char * | comment,
|  | uint16_t | comment_size
| ) |  |

## ◆ unzLocateFile()

int ZEXPORT unzLocateFile | ( | unzFile | file,
|  | const char * | filename,
|  | unzFileNameComparer | filename_compare_func
| ) |  |

Here is the call graph for this function:

## ◆ unzOpen()

unzFile ZEXPORT unzOpen | ( | const char * | path | ) |

## ◆ unzOpen2()

unzFile ZEXPORT unzOpen2 | ( | const char * | path,
|  | zlib_filefunc_def * | pzlib_filefunc_def
| ) |  |

Here is the call graph for this function:

## ◆ unzOpen2_64()

unzFile ZEXPORT unzOpen2_64 | ( | const void * | path,
|  | zlib_filefunc64_def * | pzlib_filefunc_def
| ) |  |

## ◆ unzOpen64()

unzFile ZEXPORT unzOpen64 | ( | const void * | path | ) |

## ◆ unzOpenCurrentFile()

int ZEXPORT unzOpenCurrentFile | ( | unzFile | file | ) |

Here is the call graph for this function:

## ◆ unzOpenCurrentFile2()

int ZEXPORT unzOpenCurrentFile2 | ( | unzFile | file,
|  | int * | method,
|  | int * | level,
|  | int | raw
| ) |  |

Here is the call graph for this function:

## ◆ unzOpenCurrentFile3()

int ZEXPORT unzOpenCurrentFile3 | ( | unzFile | file,
|  | int * | method,
|  | int * | level,
|  | int | raw,
|  | const char * | password
| ) |  |

Here is the call graph for this function:

## ◆ unzOpenCurrentFilePassword()

int ZEXPORT unzOpenCurrentFilePassword | ( | unzFile | file,
|  | const char * | password
| ) |  |

Here is the call graph for this function:

## ◆ unzReadCurrentFile()

int ZEXPORT unzReadCurrentFile | ( | unzFile | file,
|  | voidp | buf,
|  | uint32_t | len
| ) |  |

## ◆ unzSeek()

int ZEXPORT unzSeek | ( | unzFile | file,
|  | uint32_t | offset,
|  | int | origin
| ) |  |

Here is the call graph for this function:

## ◆ unzSeek64()

int ZEXPORT unzSeek64 | ( | unzFile | file,
|  | uint64_t | offset,
|  | int | origin
| ) |  |

## ◆ unzSetOffset()

int ZEXPORT unzSetOffset | ( | unzFile | file,
|  | uint32_t | pos
| ) |  |

Here is the call graph for this function:

## ◆ unzSetOffset64()

int ZEXPORT unzSetOffset64 | ( | unzFile | file,
|  | uint64_t | pos
| ) |  |

## ◆ unzTell()

int32_t ZEXPORT unzTell | ( | unzFile | file | ) |

## ◆ unzTell64()

int64_t ZEXPORT unzTell64 | ( | unzFile | file | ) |